function inserttext(text) {
  //editor.execCommand('mceInsertContent', false, text);
  tinymce.activeEditor.insertContent(tinymce.activeEditor.dom.encode(text));
  tinymce.activeEditor.insertContent(tinymce.activeEditor.dom.encode(" "));
  tinymce.activeEditor.execCommand('mceSpellCheck'); 
  tinymce.activeEditor.execCommand('mceSpellCheck'); 
  return false;
}

function suggestcollocations(method, text, success, failure) {
  var words = text.match(this.getWordCharPattern());
    
  if(words!= null) {
    if (method == "spellcheck") {
      var suggestions = {};
      for (var i = 0; i < words.length; i++) {
       if(dbwords.indexOf(toLowerCase.words[i])> -1) {
        suggestions[words[i]] = [ words[i] + " (noun)",  words[i] + " (verb)" ];
       }
      }
      success(suggestions);
    }
  } else {  
      failure("The editor is empty, there is nothing to check");
    }
  }
 
  tinymce.init({
    selector: "textarea",
    min_height: 500,
    branding: false, // change this value according to your HTML
    plugins: "preview fullpage searchreplace autolink directionality visualblocks visualchars fullscreen link media template codesample table charmap hr pagebreak nonbreaking anchor toc insertdatetime advlist lists textcolor wordcount contextmenu colorpicker textpattern help spellchecker about save",
    toolbar1: 'formatselect | bold italic strikethrough forecolor backcolor | link | alignleft aligncenter alignright alignjustify  | numlist bullist outdent indent  | removeformat collocaidbutton',
    menu: {
      file: {title: 'File', items: 'newdocument save1'},
      edit: {title: 'Edit', items: 'undo redo | cut copy paste pastetext | selectall'},
      insert: {title: 'Insert', items: 'link media | template hr'},
      view: {title: 'View', items: 'fullscreen'},
      format: {title: 'Format', items: 'bold italic underline strikethrough superscript subscript | formats | removeformat'},
      table: {title: 'Table', items: 'inserttable tableprops deletetable | cell row column'},
      tools: {title: 'Tools', items: ' code'},
      help:{title:'Help', items:'help about'},
      collocaid:{title:'ColloCaid', items:'spellchecker dropdown vispanel'}
    },
    setup: function(editor) {
      editor.on('init', function(e) {});
      editor.on('keypress', function(e) { 
        editor.selection.moveToBookmark(editor.selection.getBookmark());
      });
      editor.on('click', function (e) {
      if(e.target.nodeName=="P") {	
        var Table = document.getElementById("info");
		    Table.innerHTML = "";
      }
    });
  },    
  init_instance_callback: function (editor) {},
  spellchecker_callback: function(method, text, success, failure) {
    var words = text.match(this.getWordCharPattern());
    if(words!= null) {
      if (method == "spellcheck") {
        var suggestions = {};
        for (var i = 0; i < words.length; i++) {
          if(dbwords.indexOf(words[i].toLowerCase())> -1) {
            if(!collocations) getCollocations();
            suggestions[words[i]] = [ words[i]+" (noun)", words[i]+" (verb)", words[i]+" (ADV ADJ*)"  ];
          }
        }
        success(suggestions);
      }
    } else {
      failure("The editor is empty, there is nothing to check");
    }
  }
});

